export const targetingColumns = [
  {
    field: 'targeting',
    title: 'targeting',
    minWidth: 200,
    fixed: 'left',
    slots: { default: 'targeting_default' },
  },
  {
    field: 'impressions',
    title: '曝光量',
    minWidth: 160,
    align: 'center',
    sortable: true,
    slots: { default: 'impressions_default' },
  },
  {
    field: 'clicks',
    title: '点击量',
    minWidth: 160,
    align: 'center',
    sortable: true,
    slots: { default: 'clicks_default' },
  },
  {
    field: 'cost',
    title: '花费',
    minWidth: 160,
    align: 'center',
    sortable: true,
    slots: { default: 'cost_default' },
  },
  {
    field: 'purchases1d',
    title: '1天购买量',
    minWidth: 130,
    align: 'center',
    sortable: true,
    slots: { default: 'purchases1d_default' },
  },
  {
    field: 'purchases7d',
    title: '7天购买量',
    minWidth: 130,
    align: 'center',
    sortable: true,
    slots: { default: 'purchases7d_default' },
  },
  {
    field: 'purchases14d',
    title: '14天购买量',
    minWidth: 130,
    align: 'center',
    sortable: true,
    slots: { default: 'purchases14d_default' },
  },
  {
    field: 'purchases30d',
    title: '30天购买量',
    minWidth: 130,
    align: 'center',
    sortable: true,
    slots: { default: 'purchases30d_default' },
  },
  {
    field: 'purchasesSameSku1d',
    title: '1天相同SKU购买量',
    minWidth: 180,
    align: 'center',
    sortable: true,
    slots: { default: 'purchasesSameSku1d_default' },
  },
  {
    field: 'purchasesSameSku7d',
    title: '7天相同SKU购买量',
    minWidth: 180,
    align: 'center',
    sortable: true,
    slots: { default: 'purchasesSameSku7d_default' },
  },
  {
    field: 'purchasesSameSku14d',
    title: '14天相同SKU购买量',
    minWidth: 180,
    align: 'center',
    sortable: true,
    slots: { default: 'purchasesSameSku14d_default' },
  },
  {
    field: 'purchasesSameSku30d',
    title: '30天相同SKU购买量',
    minWidth: 180,
    align: 'center',
    sortable: true,
    slots: { default: 'purchasesSameSku30d_default' },
  },
  {
    field: 'unitsSoldClicks1d',
    title: '1天点击销售量',
    minWidth: 180,
    align: 'center',
    sortable: true,
    slots: { default: 'unitsSoldClicks1d_default' },
  },
  {
    field: 'unitsSoldClicks7d',
    title: '7天点击销售量',
    minWidth: 180,
    align: 'center',
    sortable: true,
    slots: { default: 'unitsSoldClicks7d_default' },
  },
  {
    field: 'unitsSoldClicks14d',
    title: '14天点击销售量',
    minWidth: 180,
    align: 'center',
    sortable: true,
    slots: { default: 'unitsSoldClicks14d_default' },
  },
  {
    field: 'unitsSoldClicks30d',
    title: '30天点击销售量',
    minWidth: 180,
    align: 'center',
    sortable: true,
    slots: { default: 'unitsSoldClicks30d_default' },
  },
  {
    field: 'sales1d',
    title: '1天销售额',
    minWidth: 180,
    align: 'center',
    sortable: true,
    slots: { default: 'sales1d_default' },
  },
  {
    field: 'sales7d',
    title: '7天销售额',
    minWidth: 180,
    align: 'center',
    sortable: true,
    slots: { default: 'sales7d_default' },
  },
  {
    field: 'sales14d',
    title: '14天销售额',
    minWidth: 180,
    align: 'center',
    sortable: true,
    slots: { default: 'sales14d_default' },
  },
  {
    field: 'sales30d',
    title: '30天销售额',
    minWidth: 180,
    align: 'center',
    sortable: true,
    slots: { default: 'sales30d_default' },
  },
  {
    field: 'attributedSalesSameSku1d',
    title: '1天相同SKU销售额',
    minWidth: 180,
    align: 'center',
    sortable: true,
    slots: { default: 'attributedSalesSameSku1d_default' },
  },
  {
    field: 'attributedSalesSameSku7d',
    title: '7天相同SKU销售额',
    minWidth: 180,
    align: 'center',
    sortable: true,
    slots: { default: 'attributedSalesSameSku7d_default' },
  },
  {
    field: 'attributedSalesSameSku14d',
    title: '14天相同SKU销售额',
    minWidth: 180,
    align: 'center',
    sortable: true,
    slots: { default: 'attributedSalesSameSku14d_default' },
  },
  {
    field: 'attributedSalesSameSku30d',
    title: '30天相同SKU销售额',
    minWidth: 180,
    align: 'center',
    sortable: true,
    slots: { default: 'attributedSalesSameSku30d_default' },
  },
  {
    field: 'unitsSoldSameSku1d',
    title: '1天相同SKU销售量',
    minWidth: 180,
    align: 'center',
    sortable: true,
    slots: { default: 'unitsSoldSameSku1d_default' },
  },
  {
    field: 'unitsSoldSameSku7d',
    title: '7天相同SKU销售量',
    minWidth: 180,
    align: 'center',
    sortable: true,
    slots: { default: 'unitsSoldSameSku7d_default' },
  },
  {
    field: 'unitsSoldSameSku14d',
    title: '14天相同SKU销售量',
    minWidth: 180,
    align: 'center',
    sortable: true,
    slots: { default: 'unitsSoldSameSku14d_default' },
  },
  {
    field: 'unitsSoldSameSku30d',
    title: '30天相同SKU销售量',
    minWidth: 180,
    align: 'center',
    sortable: true,
    slots: { default: 'unitsSoldSameSku30d_default' },
  },
  {
    field: 'kindleEditionNormalizedPagesRead14d',
    title: '14天Kindle标准化页面阅读量',
    minWidth: 230,
    align: 'center',
    sortable: true,
    slots: { default: 'kindleEditionNormalizedPagesRead14d_default' },
  },
  {
    field: 'kindleEditionNormalizedPagesRoyalties14d',
    title: '14天Kindle标准化页面版税',
    minWidth: 230,
    align: 'center',
    sortable: true,
    slots: { default: 'kindleEditionNormalizedPagesRoyalties14d_default' },
  },
  {
    field: 'salesOtherSku7d',
    title: '7天其他SKU销售额',
    minWidth: 180,
    align: 'center',
    sortable: true,
    slots: { default: 'salesOtherSku7d_default' },
  },
  {
    field: 'unitsSoldOtherSku7d',
    title: '7天其他SKU销售量',
    minWidth: 180,
    align: 'center',
    sortable: true,
    slots: { default: 'unitsSoldOtherSku7d_default' },
  },
  {
    field: 'ctr_1d',
    title: '1天点击率',
    minWidth: 130,
    align: 'center',
    sortable: true,
    slots: { default: 'ctr_1d_default' },
  },
  {
    field: 'cr_1d',
    title: '1天转化率',
    minWidth: 130,
    align: 'center',
    sortable: true,
    slots: { default: 'cr_1d_default' },
  },
  {
    field: 'acos_1d',
    title: '1天ACOS',
    minWidth: 130,
    align: 'center',
    sortable: true,
    slots: { default: 'acos_1d_default' },
  },
  {
    field: 'roas_1d',
    title: '1天ROAS',
    minWidth: 150,
    align: 'center',
    sortable: true,
    slots: { default: 'roas_1d_default' },
  },
  {
    field: 'data_start',
    title: '开始日期',
    minWidth: 130,
    sortable: true,
    slots: { default: 'data_start_default' },
  },
  {
    field: 'date_end',
    title: '结束日期',
    minWidth: 130,
    sortable: true,
    slots: { default: 'date_end_default' },
  },
];

export const searchTermColumns = [
  {
    field: 'searchTerm',
    title: 'searchTerm',
    minWidth: 200,
    fixed: 'left',
    slots: { default: 'searchTerm_default' },
  },
  {
    field: 'impressions',
    title: '曝光量',
    minWidth: 160,
    align: 'center',
    sortable: true,
    slots: { default: 'impressions_default' },
  },
  {
    field: 'clicks',
    title: '点击量',
    minWidth: 160,
    align: 'center',
    sortable: true,
    slots: { default: 'clicks_default' },
  },
  {
    field: 'cost',
    title: '花费',
    minWidth: 160,
    align: 'center',
    sortable: true,
    slots: { default: 'cost_default' },
  },
  {
    field: 'purchases1d',
    title: '1天购买量',
    minWidth: 130,
    align: 'center',
    sortable: true,
    slots: { default: 'purchases1d_default' },
  },
  {
    field: 'purchases7d',
    title: '7天购买量',
    minWidth: 130,
    align: 'center',
    sortable: true,
    slots: { default: 'purchases7d_default' },
  },
  {
    field: 'purchases14d',
    title: '14天购买量',
    minWidth: 130,
    align: 'center',
    sortable: true,
    slots: { default: 'purchases14d_default' },
  },
  {
    field: 'purchases30d',
    title: '30天购买量',
    minWidth: 130,
    align: 'center',
    sortable: true,
    slots: { default: 'purchases30d_default' },
  },
  {
    field: 'purchasesSameSku1d',
    title: '1天相同SKU购买量',
    minWidth: 180,
    align: 'center',
    sortable: true,
    slots: { default: 'purchasesSameSku1d_default' },
  },
  {
    field: 'purchasesSameSku7d',
    title: '7天相同SKU购买量',
    minWidth: 180,
    align: 'center',
    sortable: true,
    slots: { default: 'purchasesSameSku7d_default' },
  },
  {
    field: 'purchasesSameSku14d',
    title: '14天相同SKU购买量',
    minWidth: 180,
    align: 'center',
    sortable: true,
    slots: { default: 'purchasesSameSku14d_default' },
  },
  {
    field: 'purchasesSameSku30d',
    title: '30天相同SKU购买量',
    minWidth: 180,
    align: 'center',
    sortable: true,
    slots: { default: 'purchasesSameSku30d_default' },
  },
  {
    field: 'unitsSoldClicks1d',
    title: '1天点击销售量',
    minWidth: 180,
    align: 'center',
    sortable: true,
    slots: { default: 'unitsSoldClicks1d_default' },
  },
  {
    field: 'unitsSoldClicks7d',
    title: '7天点击销售量',
    minWidth: 180,
    align: 'center',
    sortable: true,
    slots: { default: 'unitsSoldClicks7d_default' },
  },
  {
    field: 'unitsSoldClicks14d',
    title: '14天点击销售量',
    minWidth: 180,
    align: 'center',
    sortable: true,
    slots: { default: 'unitsSoldClicks14d_default' },
  },
  {
    field: 'unitsSoldClicks30d',
    title: '30天点击销售量',
    minWidth: 180,
    align: 'center',
    sortable: true,
    slots: { default: 'unitsSoldClicks30d_default' },
  },
  {
    field: 'sales1d',
    title: '1天销售额',
    minWidth: 180,
    align: 'center',
    sortable: true,
    slots: { default: 'sales1d_default' },
  },
  {
    field: 'sales7d',
    title: '7天销售额',
    minWidth: 180,
    align: 'center',
    sortable: true,
    slots: { default: 'sales7d_default' },
  },
  {
    field: 'sales14d',
    title: '14天销售额',
    minWidth: 180,
    align: 'center',
    sortable: true,
    slots: { default: 'sales14d_default' },
  },
  {
    field: 'sales30d',
    title: '30天销售额',
    minWidth: 180,
    align: 'center',
    sortable: true,
    slots: { default: 'sales30d_default' },
  },
  {
    field: 'attributedSalesSameSku1d',
    title: '1天相同SKU销售额',
    minWidth: 180,
    align: 'center',
    sortable: true,
    slots: { default: 'attributedSalesSameSku1d_default' },
  },
  {
    field: 'attributedSalesSameSku7d',
    title: '7天相同SKU销售额',
    minWidth: 180,
    align: 'center',
    sortable: true,
    slots: { default: 'attributedSalesSameSku7d_default' },
  },
  {
    field: 'attributedSalesSameSku14d',
    title: '14天相同SKU销售额',
    minWidth: 180,
    align: 'center',
    sortable: true,
    slots: { default: 'attributedSalesSameSku14d_default' },
  },
  {
    field: 'attributedSalesSameSku30d',
    title: '30天相同SKU销售额',
    minWidth: 180,
    align: 'center',
    sortable: true,
    slots: { default: 'attributedSalesSameSku30d_default' },
  },
  {
    field: 'unitsSoldSameSku1d',
    title: '1天相同SKU销售量',
    minWidth: 180,
    align: 'center',
    sortable: true,
    slots: { default: 'unitsSoldSameSku1d_default' },
  },
  {
    field: 'unitsSoldSameSku7d',
    title: '7天相同SKU销售量',
    minWidth: 180,
    align: 'center',
    sortable: true,
    slots: { default: 'unitsSoldSameSku7d_default' },
  },
  {
    field: 'unitsSoldSameSku14d',
    title: '14天相同SKU销售量',
    minWidth: 180,
    align: 'center',
    sortable: true,
    slots: { default: 'unitsSoldSameSku14d_default' },
  },
  {
    field: 'unitsSoldSameSku30d',
    title: '30天相同SKU销售量',
    minWidth: 180,
    align: 'center',
    sortable: true,
    slots: { default: 'unitsSoldSameSku30d_default' },
  },
  {
    field: 'kindleEditionNormalizedPagesRead14d',
    title: '14天Kindle标准化页面阅读量',
    minWidth: 230,
    align: 'center',
    sortable: true,
    slots: { default: 'kindleEditionNormalizedPagesRead14d_default' },
  },
  {
    field: 'kindleEditionNormalizedPagesRoyalties14d',
    title: '14天Kindle标准化页面版税',
    minWidth: 230,
    align: 'center',
    sortable: true,
    slots: { default: 'kindleEditionNormalizedPagesRoyalties14d_default' },
  },
  {
    field: 'salesOtherSku7d',
    title: '7天其他SKU销售额',
    minWidth: 180,
    align: 'center',
    sortable: true,
    slots: { default: 'salesOtherSku7d_default' },
  },
  {
    field: 'unitsSoldOtherSku7d',
    title: '7天其他SKU销售量',
    minWidth: 180,
    align: 'center',
    sortable: true,
    slots: { default: 'unitsSoldOtherSku7d_default' },
  },
  {
    field: 'ctr_1d',
    title: '1天点击率',
    minWidth: 130,
    align: 'center',
    sortable: true,
    slots: { default: 'ctr_1d_default' },
  },
  {
    field: 'cr_1d',
    title: '1天转化率',
    minWidth: 130,
    align: 'center',
    sortable: true,
    slots: { default: 'cr_1d_default' },
  },
  {
    field: 'acos_1d',
    title: '1天ACOS',
    minWidth: 130,
    align: 'center',
    sortable: true,
    slots: { default: 'acos_1d_default' },
  },
  {
    field: 'roas_1d',
    title: '1天ROAS',
    minWidth: 150,
    align: 'center',
    sortable: true,
    slots: { default: 'roas_1d_default' },
  },
  {
    field: 'data_start',
    title: '开始日期',
    minWidth: 130,
    sortable: true,
    slots: { default: 'data_start_default' },
  },
  {
    field: 'date_end',
    title: '结束日期',
    minWidth: 130,
    sortable: true,
    slots: { default: 'date_end_default' },
  },
];
